# exchange-point-and-mark(2)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

exchange-point-and-mark - Exchange the cursor and marked position

## SYNOPSIS

exchange-point-and-mark (C-x C-x)

## DESCRIPTION

exchange-point-and-mark moves the cursor to the current marked position (see set-mark(2)) in the current window and moves the mark to where the cursor was. This is very useful in finding where a mark was, or in returning to a position previously marked.

The current buffer mark line and column position may be obtained from within a macro using the variables $window-mark-line(5) and $window-mark-col(5).

## SEE ALSO

set-mark(2), copy-region(2), $window-mark-col(5), $window-mark-line(5).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>